Skip to main content
`Ctrl`+`K`

# MatAssemblyType

Indicates if the process of setting values into the matrix is complete, and the matrix is ready for use

## Synopsis

    typedef enum {
      MAT_FLUSH_ASSEMBLY = 1,
      MAT_FINAL_ASSEMBLY = 0
    } MatAssemblyType;

## Values

- `MAT_FLUSH_ASSEMBLY` - you will continue to put values into the matrix

- `MAT_FINAL_ASSEMBLY` - you wish to use the matrix with the values currently inserted

## See Also

Matrices, `Mat`, `MatSetValues`, `MatAssemblyBegin()`, `MatAssemblyEnd()`

## Level

beginner

## Location

include/petscmat.h

## Examples

src/ts/tutorials/ex14.c
src/snes/tutorials/ex16.c

## Examples

src/ksp/ksp/tutorials/ex13.c
src/dm/impls/stag/tutorials/ex1.c
src/ksp/ksp/tutorials/ex1.c
src/ksp/ksp/tutorials/ex15.c
src/ksp/ksp/tutorials/ex11.c
src/dm/impls/stag/tutorials/ex4.c
src/dm/impls/stag/tutorials/ex8.c
src/dm/impls/stag/tutorials/ex3.c
src/dm/impls/stag/tutorials/ex2.c
src/ksp/ksp/tutorials/ex12.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages